### Method

# GIRepository RegisteredTypeInfo get_type_name

since: 2.80

#### Declaration

    const char*
    gi_registered_type_info_get_type_name (
      GIRegisteredTypeInfo* info
    )

#### Description

Obtain the type name of the struct within the GObject type system.

This type can be passed to `g_type_name()` to get a `GType`.

Available since: 2.80

#### Return value

Type: `const char*`

The type name, or `NULL` if unknown.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.